import { type Selection, type SimulationNodeDatum } from "d3";
import type { INode } from "../IGraph.js";
export type INodeDatum = SimulationNodeDatum & {
    data: INode;
};
export interface INodes {
    nodes: Selection<SVGGElement, INodeDatum, SVGSVGElement, unknown>;
    updateData(data: INodeDatum[]): void;
    update(): void;
}
export declare function createNodes(paper: Selection<SVGGElement, unknown, null, undefined>, events?: {
    onHover?: (node: INodeDatum) => void;
    onBlur?: (node: INodeDatum) => void;
    onDragStart?: (node: INodeDatum) => void;
    onDragEnd?: (node: INodeDatum) => void;
}): {
    readonly nodes: Selection<SVGGElement, INodeDatum, SVGGElement, unknown>;
    updateData(data: INodeDatum[]): void;
    update(): void;
};
//# sourceMappingURL=createNodes.d.ts.map